發行資訊: VPN Server

描述:

VPN Server 提供簡單易用的 VPN 解決方案,可讓您的 Synology 產品成為 VPN 伺服器,供用戶端以安全的方式從遠端連線至您的私人區域網路,且支援 PPTP、OpenVPN 及 L2TP/IPSec 等服務。

版本: 1.3.10-2772


(2019-12-26)

更新以相容於 SA3200D。

版本: 1.3.9-2770


(2018-08-29)

問題修正

  1. 修正當停用 VPN Server 套件時,用以存取 L2TP 伺服器的網路介面可能會中斷連線的問題。

  2. 修正 OpenVPN 可能無法正常運作的問題。

  3. 修正 OpenVPN 可能未將 AES-256-CBC 及 SHA512 設為預設的問題。

  4. 修正 L2TP 可能無法正常運作的問題。

版本: 1.3.8-2769


(2018-05-23)
  1. 現已支援泰文使用者介面。

  2. 現已將會在啟動 PPTP 服務時跳出警告訊息。

  3. 修正當啟動「允許用戶端存取伺服器的區域網路」選項,且 DSM 已加入 HA 叢集時,OpenVPN 可能無法正常運作的問題。

版本: 1.3.7-2766


(2018-03-20)
  1. 修正 OpenVPN 可能無法分派 IP 位址的問題。

版本: 1.3.6-2765


(2017-12-13)
  1. 修正安裝此套件可能會耗時過多的問題。

  2. 修正當 L2TP 服務已從某 Android 裝置存取時,其他 Mac 裝置可能無法再存取的問題。

版本: 1.3.6-2764


(2017-10-05)
  1. OpenVPN 驗證選項中已移除 MDC2 及 RSA-MDC2。

  2. 修正其他問題。

版本: 1.3-2500


(2017-08-16)
  1. 為 OpenVPN 升級版本至 2.3.17。

  2. 修正當使用尚未匯入至瀏覽器的第三方憑證時,OpenVPN 可能無法正常運作的問題。

  3. . VPN Server 不再支援於 Synology Router。建議您使用 VPN Plus Server 以繼續取得更新及技術支援。

版本: 1.3.5-2762


(2017-07-26)
  1. 修正當使用尚未匯入至瀏覽器的第三方憑證時,OpenVPN 可能無法正常運作的問題。
  2. 修正其他問題。

版本: 1.3.5-2761


(2017-06-20)
  1. 修正在更新或變更憑證後,OpenVPN 可能無法正常運作的問題。
  2. 修正 PPTP 與 L2TP 服務可能無法正常運作的問題。

版本: 1.3-2499


(2017-04-27)

相容性及安裝

  1. VPN Server 1.3-2499 僅可安裝在執行 SRM 1.1.4 或以上版本的 Synology 產品。

版本: 1.3.5-2759


(2017-04-25)
  1. 修正網域使用者可能無法連線至 PPTP 伺服器的問題。
  2. 修正 VPN Server 可能無法啟動的問題。

版本: 1.3.5-2757


(2017-02-21)

新功能

  1. 現可檢查 PPTP/L2TP 使用的連接埠是否已佔用。
  2. 現可變更 OpenVPN 的加密方式。

問題修正

  1. 修正 OpenVPN 停用後可能繼續佔用 443 連接埠的問題。

版本: 1.3-2496


(2017-01-12)

相容性及安裝

  • VPN Server 1.3-2496 僅可安裝在執行 SRM 1.1.3 或以上版本的 Synology 產品。

最新功能

  • VPN Server (SRM 相容版本) 不再進行維護。建議您將相關設定及日誌移轉至 VPN Plus Server 進行使用。

問題修正

  1. 修正路由器重新開機後,可能無法透過 L2TP/IPSec VPN 進行網路存取的問題。
  2. 修正其他問題。

版本: 1.3.5-2753


(2017-01-04)
  1. 授權設定檔會依 LDAP 使用者的加密方式而自動變更。
  2. 修正 L2TP 無法在 kernel 4.4 中建立連線的問題。

版本: 1.3-2490


(2016-12-21)
  1. VPN Server 須升級至最新版本以相容於 SRM 1.1.1。

版本: 1.3.3-2748


(2016-08-18)
  1. OpenVPN 連線現支援連接埠 443。
  2. 修正其他問題。

版本: 1.3-2479


(2016-07-19)
  1. 升級以相容於 SRM 1.1。
  2. 修正升級 SRM 後,PPTP 服務會自動啟動的問題。
  3. 修正其他問題。

版本: 1.3.2-2738


(2016-06-28)
  1. 修正升級至 DSM 6.0.1 後,PPTP 服務可能會無法在部分 Synology NAS 機種上使用的問題。

版本: 1.3-2476


(2016-06-07)
  1. 升級以相容於 SRM 1.1。

版本: 1.3.1-2737


(2016-06-06)
  1. 修正在特定情況下 PPTP 及 L2TP 連線可能會失敗的問題。
  2. 修正在特定情況下可能無法顯示 IP 衝突的警告訊息的問題。
  3. 修正其他問題。

版本: 1.3.0-2734


(2016-04-26)
  1. 修正 Android 6.0 裝置與 L2TP/IPSec 連線的相容性問題。
  2. 修正更新後,已建立的 PPTP 連線將會因為指派 IP 位址變更而斷線的問題。
  3. 修正更新後,PPTP 和 L2TP 連線不穩定以及速度會下降的問題。
  4. 修正變更openVPN 憑證有可能失敗的問題。
  5. 修正 DDNS 每日更新後,可能無法存取 VPN Server 的問題。

版本: 1.3.0-2469


(2016-04-26)
  1. 修正 Android 6.0 裝置與 L2TP/IPSec 連線的相容性問題。
  2. 修正更新後,已建立的 PPTP 連線將會因為指派 IP 位址變更而斷線的問題。
  3. 修正更新後,PPTP 和 L2TP 連線不穩定以及速度會下降的問題。
  4. 修正 DDNS 每日更新後,可能無法存取 VPN Server 的問題。

版本: 1.2-2725


(2016-03-29)
  1. 更新與 DSM 6.0 相容。

版本: 1.2-2463


(2016-03-08)
  1. 提升 PPTP/L2TP 的傳輸效能。
  2. 您現可將 PPTP/L2TP 的 IP 網域設為與網路中心 > 區域網路的 IP 範圍相同 (例如 192.168.1.x),但 IP 範圍不可重疊。
  3. 升級 OpenVPN 至 2.3.10 版本。

版本: 1.2-2459


(2016-01-13)
  1. 加強 L2TP/IPSec 伺服器相容性。
  2. 簡短 VPN 伺服器啟動時間。
  3. 修正 OpenVPN 伺服器啟動時可能無法存取區域網路裝置的問題。

版本: 1.2-2456


(2015-12-10)
  1. 修正 VPN Server 無法與 DSM 憑證更新同步的問題。

版本: 1.2-2454


(2015-10-07)

無(本版本為 RT1900ac 與 DS216play 第一版)

版本: 1.2-2438


(2015-05-21)
  1. 修正通訊埠 443 的相關連線問題。

版本: 1.2-2437


(2015-05-12)
  1. 套用 AppArmor 規則以增進安全性 (在特定的新機種並執行 DSM 5.1 或是以上版本)。
  2. 升級 PPTPD 至 1.4.0。
  3. 修正其它問題。

版本: 1.2-2434


(2015-03-12)
  1. 套用 AppArmor 規則以增進安全性 (在特定的新機種並執行 DSM 5.1 或是以上版本)。
  2. 升級PPTPD至1.4.0。
  3. 修正其它問題。

版本: 1.2-2427


(2014-12-12)
  1. 升級版本到 2.3.6 以修正一個可讓遠端認證過的使用者透過較小的控制通道封包的寄送來造成阻斷服務攻擊的安全性問題 (CVE-2014-8104)。

版本: 1.2-2425


(2014-11-25)
  1. 日誌將轉送至 Syslog Center。

版本: 1.2-2423


(2014-09-23)
  1. OpenVPN 現已支援使用 IPv6。
  2. 取得 Synology 信任級別憑證。

版本: 1.2-2416


(2014-09-22)

Add DS415+ support

版本: 1.2-2415


(2014-06-04)

功能改善

  1. 將 OpenVPN 升級至 2.3 版本。

問題修正

  1. 修正 OpenVPN 伺服器服務在 QuickConnect 啟動的情況下無法開啟的問題。

版本: 1.2-2414


(2014-04-29)

事前動作

  1. DSM 必須先更新到最新的版本然後更新 SSL 憑證。
  2. 詳細的操作步驟請參考 https://www.synology.com/support/security

修正問題

  1. 安全性問題會導致系統記憶體上的敏感性資料經由遠端被惡意存取 (CVE-2014-0160)。當套件更新完成後,你必須更新你 OpenVPN 電腦客戶端上的 SSL 憑證,此憑證由 DSM 上匯出。

版本: 1.2-2318


(2014-04-16)

事前動作

  1. DSM 必須先更新到最新的版本然後更新 SSL 憑證。
  2. 詳細的操作步驟請參考 https://www.synology.com/support/security

修正問題

  1. 安全性問題會導致系統記憶體上的敏感性資料經由遠端被惡意存取 (CVE-2014-0160)。當套件更新完成後,你必須更新你 OpenVPN 電腦客戶端上的 SSL 憑證,此憑證由 DSM 上匯出。

版本: 1.2-2412


(2014-03-10)
  1. 更新與 DSM 5.0 相容。

版本: 1.2-2317


(2014-03-03)
  1. 修正一個安全性問題,以避免未經授權的存取。(VU#534284)

版本: 1.2-2313


(2013-08-27)
  1. 現支援 L2TP over IPSec 連線。
  2. 現支援網域/LDAP 使用者。

版本: 1.1-2267


(2013-03-04)
  1. 升級以相容於 DSM 4.2。